package various;
import java.util.ArrayList;
import java.util.List;
import javax.faces.event.ActionEvent;



/**
 * Kod klasy pomocniczej dla przykladu z rozdzialu 5.5.  
 *
 */
public class Counter {
    Integer count = 0;

    public void setCount(Integer count) {
		this.count = count;
	}

	public Integer getCount() {
        return count++;
    }

    public void reset(ActionEvent ae) {
        count = 0;
    }
    
    public void counter(ActionEvent ae) {
        count ++;
    }
 

    public List<String> Countries()
    {
    	List <String>opcje = new ArrayList<String>();
    	opcje.add("Afghanistan");
    	opcje.add("Albania");
    	opcje.add("Algieria");
    	return opcje;
    	
    }
    
    
    
}
